package com.emr.service.emrFunGroupDistribution;

import com.emr.entity.Emr_Fun_Group_Distribution;
import com.emr.vo.Emr_Fun_Group_DistributionVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface FunGroupDistributionService {
    int SimpleInsert(Emr_Fun_Group_DistributionVo distributionVo, HttpServletRequest request);

    List<Emr_Fun_Group_Distribution>  selectUserIdsByTypeFlag(String typeFlag,Integer userId);

    List<Emr_Fun_Group_DistributionVo>  selectAll(Emr_Fun_Group_Distribution record,String startTime,String endTime);

    Emr_Fun_Group_Distribution selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Fun_Group_Distribution record,HttpServletRequest request);

    Emr_Fun_Group_Distribution checkTypeFlagAndUserName(String typeFlag,String userName);

    int deleteByPrimaryKey(Integer id);

    int deleteByIds(String ids);

    List<Emr_Fun_Group_DistributionVo> selectAllByIds(String ids);
}
